Index: /trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- /trunk/prototype/modules/calendar/js/helpers.js	(revision 5947)
+++ /trunk/prototype/modules/calendar/js/helpers.js	(revision 6044)
@@ -341,490 +371,534 @@
 									 * já existe uma janela de confirmação aberta.
 									 */
-									if (!clicked) {
-										window.setTimeout(function() {
-											zebraDiscardEventDialog = false;
-										}, 200);
-									}
-								}
-							});
-							
-						}, 300);
-
-					}
-					return canDiscardEventDialog;
-				}
-			});
-			
-		} else {
-			UI.dialogs.addEvent.html(html);
-		}
-		
-	    var tabs = UI.dialogs.addEvent.children('.content').tabs();
-		var calendar = DataLayer.get('calendar', objEvent.calendar);
-				
-		if (calendar.timezone != objEvent.timezone){
-			UI.dialogs.addEvent.find('.calendar-addevent-details-txt-timezone').find('option[value="'+objEvent.timezone+'"]').attr('selected','selected').trigger('change');
-			UI.dialogs.addEvent.find('.calendar_addevent_details_lnk_timezone').addClass('hidden');
-			$('.calendar-addevent-details-txt-timezone').removeClass('hidden');
-			
-		}
-
-	    DataLayer.render( path+'templates/event_repeat.ejs', {event:objEvent}, function( repeatHtml ){
-
-			UI.dialogs.addEvent.find('#calendar_addevent_details3').html(repeatHtml);
-			$(".date").datepicker();
-		  
-			if(objEvent.repeat) 
-			{
-			     if( objEvent.repeat['id'] )
-			     {
-				$("[name='repeatId']:last").val( objEvent.repeat['id'] );
-			     }
-
-			     if( objEvent.repeat['frequency'] !== 'none' )
-			     {
-				if( objEvent.repeat['startTime'] && objEvent.repeat['startTime'] !== "0" )
-				{
-				      $("[name='startOptions'] [value='customDate']:last").attr( 'selected', 'selected' );
-				      $("[name='start']:last").val(new Date( parseInt(objEvent.repeat['startTime']) ).toString( User.preferences.dateFormat ) );
-				}
-				else
-				{
-				      $("[name='start']:last").val($("[name='startDate']:last").val());     
-				      $("[name='start']:last").readOnly=true;
-				      $("[name='start']:last").datepicker("disable");
-				}
-			      
-				$(".finish_event").removeClass("hidden");
-
-				if(objEvent.repeat['endTime'] && objEvent.repeat['endTime'] !== "0" ) 
-				{
-					//$("[name='occurrences']").addClass("hidden");
-					$(".customDateEnd").removeClass("hidden");
-							$(".endRepeat option[value='customDate']").attr('selected', 'selected')						
-					$(".customDateEnd").val( new Date( parseInt(objEvent.repeat['endTime']) )/*.setTimezoneOffset( Timezone.timezone( objEvent.timezone ) )*/.toString( User.preferences.dateFormat ) );  
-				}
-				else if (objEvent.repeat['count'] && objEvent.repeat['count'] !== "0" ) {
-					$(".endRepeat option[value='occurrences']").attr('selected', 'selected');						
-					$(".occurrencesEnd").removeClass("hidden");
-					$(".occurrencesEnd").val(objEvent.repeat['count']);						
-				}
-			      
-				switch ( objEvent.repeat['frequency'] )
-				{
-				    case "daily":
-					    $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Dia(s)");
-					    $(".frequency option[value='daily']").attr('selected', 'selected');
-					    break;
-				    case "weekly":
-					    $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Semana(s)");
-					    $(".frequency option[value='weekly']").attr('selected', 'selected');
-					    objEvent.repeat['interval'] ? $(".event-repeat-container:last").find(".repeat-in").find(".eventInterval").val(objEvent.repeat['interval']) : $(".event-repeat-container:last").find(".repeat-in").find(".eventInterval").val("0");
-					    
-					    $(".event-repeat-weekly").removeClass("hidden");
-					    
-					    var day = [];
-					    
-					    if( objEvent.repeat.byday )
-						day = objEvent.repeat.byday.split(',');
-					    
-					    for(i=0; i<day.length; i++) 
-						    $(".event-repeat-weekly [value='" + day[i] + "']").attr("checked","checked");
-					    
-					    break;
-				    case "monthly":
-					    $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Mes(s)");
-					    $(".frequency option[value='monthly']").attr('selected', 'selected')
-					    $(".event-repeat-monthly:last").removeClass("hidden").find("input[type=radio][name=repeatmonthyType]").click(function(){
-						    if($("input[type=radio][name=repeatmonthyType]:checked").val() == "1")
-							    $(".event-repeat-weekly:last").removeClass("hidden");
-						    else
-							    $(".event-repeat-weekly:last").addClass("hidden");
-					    });
-					    if($("input[type=radio][name=repeatmonthyType]:checked").val() == "1")
-						    $(".event-repeat-weekly:last").removeClass("hidden");
-					    else
-						    $(".event-repeat-weekly:last").addClass("hidden");
-					    break;
-				    case "yearly":
-					    $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Ano(s)");
-					    $(".frequency option[value='yearly']").attr('selected', 'selected')
-					    break;	
-				}
+			    if (!clicked) {
+				window.setTimeout(function() {
+				    zebraDiscardEventDialog = false;
+				}, 200);
 			    }
 			}
-			else {
-				$(".endRepeat option[value='never']").attr('selected', 'selected');
-			}
-
-
-			$(".event-repeat-container:last").find(".repeat-in").find("[name=startOptions]").change(function(){                                       
-
-            if($(this).find("option:selected").val() == "Today"){
-                                $("[name='start']:last").val($("[name='startDate']:last").val());
-                                $("[name='start']:last").readOnly=true;
-                                $("[name='start']:last").datepicker("disable");
-                            }
-                            else{
-                                $("[name='start']:last").readOnly=false;
-                                $("[name='start']:last").datepicker("enable");
-                            }
-                        });
-                        $(".event-repeat-container:last").find(".repeat-in").find("[name=endOptions]").change(function(){                                       
-                            if($(this).find("option:selected").val() == "never"){
-                                $("[name='occurrences']").addClass("hidden");
-                                $("[name='end']:last").addClass("hidden");
-                            }
-                            else if($(this).find("option:selected").val() == "customDate"){
-                                $("[name='occurrences']").addClass("hidden");
-                                $("[name='end']:last").removeClass("hidden");    
-                            }
-                            else{
-                                $("[name='end']:last").addClass("hidden");
-                                $("[name='occurrences']").removeClass("hidden");                                        
-                            }
-                        });
+		    });
+							
+		}, 300);
+
+	    }
+	    return canDiscardEventDialog;
+	}
+    });
+			
+} else {
+    UI.dialogs.addEvent.html(html);
+}
+		
+var tabs = UI.dialogs.addEvent.children('.content').tabs();
+var calendar = DataLayer.get('calendar', objEvent.calendar);
+				
+if (calendar.timezone != objEvent.timezone){
+    UI.dialogs.addEvent.find('.calendar-addevent-details-txt-timezone').find('option[value="'+objEvent.timezone+'"]').attr('selected','selected').trigger('change');
+    UI.dialogs.addEvent.find('.calendar_addevent_details_lnk_timezone').addClass('hidden');
+    $('.calendar-addevent-details-txt-timezone').removeClass('hidden');
+			
+}
+
+DataLayer.render( path+'templates/event_repeat.ejs', {
+    event:objEvent
+}, function( repeatHtml ){
+
+    UI.dialogs.addEvent.find('#calendar_addevent_details3').html(repeatHtml);
+    $(".date").datepicker();
+		  
+    if(objEvent.repeat) 
+    {
+	if( objEvent.repeat['id'] )
+	{
+	    $("[name='repeatId']:last").val( objEvent.repeat['id'] );
+	}
+
+	if( objEvent.repeat['frequency'] !== 'none' )
+	{
+	    if( objEvent.repeat['startTime'] && objEvent.repeat['startTime'] !== "0" )
+	    {
+		$("[name='startOptions'] [value='customDate']:last").attr( 'selected', 'selected' );
+		$("[name='start']:last").val(new Date( parseInt(objEvent.repeat['startTime']) ).toString( User.preferences.dateFormat ) );
+	    }
+	    else
+	    {
+		$("[name='start']:last").val($("[name='startDate']:last").val());     
+		$("[name='start']:last").readOnly=true;
+		$("[name='start']:last").datepicker("disable");
+	    }
+			      
+	    $(".finish_event").removeClass("hidden");
+
+	    if(objEvent.repeat['endTime'] && objEvent.repeat['endTime'] !== "0" ) 
+	    {
+		//$("[name='occurrences']").addClass("hidden");
+		$(".customDateEnd").removeClass("hidden");
+		$(".endRepeat option[value='customDate']").attr('selected', 'selected')						
+		$(".customDateEnd").val( new Date( parseInt(objEvent.repeat['endTime']) )/*.setTimezoneOffset( Timezone.timezone( objEvent.timezone ) )*/.toString( User.preferences.dateFormat ) );  
+	    }
+	    else if (objEvent.repeat['count'] && objEvent.repeat['count'] !== "0" ) {
+		$(".endRepeat option[value='occurrences']").attr('selected', 'selected');						
+		$(".occurrencesEnd").removeClass("hidden");
+		$(".occurrencesEnd").val(objEvent.repeat['count']);						
+	    }
+			      
+	    switch ( objEvent.repeat['frequency'] )
+	    {
+		case "daily":
+		    $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Dia(s)");
+		    $(".frequency option[value='daily']").attr('selected', 'selected');
+		    break;
+		case "weekly":
+		    $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Semana(s)");
+		    $(".frequency option[value='weekly']").attr('selected', 'selected');
+		    objEvent.repeat['interval'] ? $(".event-repeat-container:last").find(".repeat-in").find(".eventInterval").val(objEvent.repeat['interval']) : $(".event-repeat-container:last").find(".repeat-in").find(".eventInterval").val("0");
+					    
+		    $(".event-repeat-weekly").removeClass("hidden");
+					    
+		    var day = [];
+					    
+		    if( objEvent.repeat.byday )
+			day = objEvent.repeat.byday.split(',');
+					    
+		    for(i=0; i<day.length; i++) 
+			$(".event-repeat-weekly [value='" + day[i] + "']").attr("checked","checked");
+					    
+		    break;
+		case "monthly":
+		    $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Mes(s)");
+		    $(".frequency option[value='monthly']").attr('selected', 'selected')
+		    $(".event-repeat-monthly:last").removeClass("hidden").find("input[type=radio][name=repeatmonthyType]").click(function(){
+			if($("input[type=radio][name=repeatmonthyType]:checked").val() == "1")
+			    $(".event-repeat-weekly:last").removeClass("hidden");
+			else
+			    $(".event-repeat-weekly:last").addClass("hidden");
+		    });
+		    if($("input[type=radio][name=repeatmonthyType]:checked").val() == "1")
+			$(".event-repeat-weekly:last").removeClass("hidden");
+		    else
+			$(".event-repeat-weekly:last").addClass("hidden");
+		    break;
+		case "yearly":
+		    $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Ano(s)");
+		    $(".frequency option[value='yearly']").attr('selected', 'selected')
+		    break;	
+	    }
+	}
+    }
+    else {
+	$(".endRepeat option[value='never']").attr('selected', 'selected');
+    }
+
+
+    $(".event-repeat-container:last").find(".repeat-in").find("[name=startOptions]").change(function(){                                       
+
+	if($(this).find("option:selected").val() == "Today"){
+	    $("[name='start']:last").val($("[name='startDate']:last").val());
+	    $("[name='start']:last").readOnly=true;
+	    $("[name='start']:last").datepicker("disable");
+	}
+	else{
+	    $("[name='start']:last").readOnly=false;
+	    $("[name='start']:last").datepicker("enable");
+	}
+    });
+    $(".event-repeat-container:last").find(".repeat-in").find("[name=endOptions]").change(function(){                                       
+	if($(this).find("option:selected").val() == "never"){
+	    $("[name='occurrences']").addClass("hidden");
+	    $("[name='end']:last").addClass("hidden");
+	}
+	else if($(this).find("option:selected").val() == "customDate"){
+	    $("[name='occurrences']").addClass("hidden");
+	    $("[name='end']:last").removeClass("hidden");    
+	}
+	else{
+	    $("[name='end']:last").addClass("hidden");
+	    $("[name='occurrences']").removeClass("hidden");                                        
+	}
+    });
                         
-			$("[name='frequency']:last").change(function () {
-				$(".frequency-option").addClass("hidden");
-                                if($(this).val() == "none"){
-					$(".repeat-in").addClass("hidden");
-					return;
-				}else{
-                                    $(".repeat-in").removeClass("hidden");
-                                    $("[name='start']:last").val($("[name='startDate']:last").val());
-                                }
+    $("[name='frequency']:last").change(function () {
+	$(".frequency-option").addClass("hidden");
+	if($(this).val() == "none"){
+	    $(".repeat-in").addClass("hidden");
+	    return;
+	}else{
+	    $(".repeat-in").removeClass("hidden");
+	    $("[name='start']:last").val($("[name='startDate']:last").val());
+	}
                  
 				 
-				switch($(this).val()){
-                    case "daily":
-                        $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Dia(s)");
-                        break;
-					case "weekly":
-                        $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Semana(s)");
-						$(".event-repeat-weekly:last").removeClass("hidden");
-						break;
-					case "monthly":
-                        $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Mes(s)");
-						$(".event-repeat-monthly:last").removeClass("hidden").find("input[type=radio][name=repeatmonthyType]").click(function(){
-							if($("input[type=radio][name=repeatmonthyType]:checked").val() == "1")
-								$(".event-repeat-weekly:last").removeClass("hidden");
-							else
-								$(".event-repeat-weekly:last").addClass("hidden");
-						});
-                        if($("input[type=radio][name=repeatmonthyType]:checked").val() == "1")
-                            $(".event-repeat-weekly:last").removeClass("hidden");
-						else
-                            $(".event-repeat-weekly:last").addClass("hidden");
-					    break;
-                    default:
-                        $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Ano(s)");
-                        break;
-				}
+	switch($(this).val()){
+	    case "daily":
+		$(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Dia(s)");
+		break;
+	    case "weekly":
+		$(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Semana(s)");
+		$(".event-repeat-weekly:last").removeClass("hidden");
+		break;
+	    case "monthly":
+		$(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Mes(s)");
+		$(".event-repeat-monthly:last").removeClass("hidden").find("input[type=radio][name=repeatmonthyType]").click(function(){
+		    if($("input[type=radio][name=repeatmonthyType]:checked").val() == "1")
+			$(".event-repeat-weekly:last").removeClass("hidden");
+		    else
+			$(".event-repeat-weekly:last").addClass("hidden");
+		});
+		if($("input[type=radio][name=repeatmonthyType]:checked").val() == "1")
+		    $(".event-repeat-weekly:last").removeClass("hidden");
+		else
+		    $(".event-repeat-weekly:last").addClass("hidden");
+		break;
+	    default:
+		$(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Ano(s)");
+		break;
+	}
 				
-			});
-		});
-
-	    UI.dialogs.addEvent.find('.calendar_addevent_details_lnk_timezone').click(function(e){
-		    $(this).addClass('hidden');
-		    $('.calendar-addevent-details-txt-timezone').removeClass('hidden');
-		    e.preventDefault();
+    });
+});
+
+UI.dialogs.addEvent.find('.calendar_addevent_details_lnk_timezone').click(function(e){
+    $(this).addClass('hidden');
+    $('.calendar-addevent-details-txt-timezone').removeClass('hidden');
+    e.preventDefault();
+});
+		
+UI.dialogs.addEvent.find('.button.remove').button({
+    text:false, 
+    icons:{
+	primary:'ui-icon-close'
+    }
+}).click(function(el){
+    var id;
+    if( id = $(this).parent().find('input[name="alarmId[]"]').val())
+	DataLayer.remove('alarm', id);
+    $(this).parent().remove().find('li').is(':empty');
+});
+		
+/*Seleciona a agenda padrão para criação de um evento*/
+
+if(objEvent.calendar != undefined)
+    var selectedCalendar = objEvent.calendar;
+else
+    var selectedCalendar = User.preferences.defaultCalendar;
+
+UI.dialogs.addEvent.find('option[value="'+selectedCalendar+'"]').attr('selected','selected').trigger('change');
+		
+/*Adicionar alarms padrões, quando alterado a agenda do usuário*/		
+UI.dialogs.addEvent.find('select[name="calendar"]').change(function(){
+    if((typeof($('input[name = "idEvent"]').val()) == 'undefined') || (!!!$('input[name = "idEvent"]').val())) {
+	$('input[name = "isDefaultAlarm[]"]').parent().remove();
+	UI.dialogs.addEvent.find('input[name="defaultAlarm"]').parent().removeClass('hidden');
+	var calendarSelected = Calendar.signatureOf[$(this).val()];
+	calendarSelected.useAlarmDefault = 1;
+	if(calendarSelected.defaultAlarms != ""){
+	    var li_attach = DataLayer.render(path+'templates/alarms_add_itemlist.ejs', {
+		alarm:calendarSelected
 	    });
-		
-		UI.dialogs.addEvent.find('.button.remove').button({text:false, icons:{primary:'ui-icon-close'}}).click(function(el){
-			var id;
-			if( id = $(this).parent().find('input[name="alarmId[]"]').val())
-				DataLayer.remove('alarm', id);
-			$(this).parent().remove().find('li').is(':empty');
-		});
-		
-		/*Seleciona a agenda padrão para criação de um evento*/
-
-		if(objEvent.calendar != undefined)
-			var selectedCalendar = objEvent.calendar;
-		else
-			var selectedCalendar = User.preferences.defaultCalendar;
-
-		UI.dialogs.addEvent.find('option[value="'+selectedCalendar+'"]').attr('selected','selected').trigger('change');
-		
-		/*Adicionar alarms padrões, quando alterado a agenda do usuário*/		
-		UI.dialogs.addEvent.find('select[name="calendar"]').change(function(){
-			if((typeof($('input[name = "idEvent"]').val()) == 'undefined') || (!!!$('input[name = "idEvent"]').val())) {
-				$('input[name = "isDefaultAlarm[]"]').parent().remove();
-				UI.dialogs.addEvent.find('input[name="defaultAlarm"]').parent().removeClass('hidden');
-				var calendarSelected = Calendar.signatureOf[$(this).val()];
-				calendarSelected.useAlarmDefault = 1;
-				if(calendarSelected.defaultAlarms != ""){
-					var li_attach = DataLayer.render(path+'templates/alarms_add_itemlist.ejs', {alarm:calendarSelected});
-						jQuery('.event-alarms-list').append(li_attach).find('.button.remove').button({text:false, icons:{primary:'ui-icon-close'}}).click(function(el) {
-							$(this).parent().remove().find('li').is(':empty');
-						});
-				}else{
-					UI.dialogs.addEvent.find('input[name="defaultAlarm"]').parent().addClass('hidden');
-				}
-			}
-
-			var participant =  UI.dialogs.addEvent.find('dd.me input[name="attendee[]"]').val();
-			if( !parseInt(Calendar.signatureOf[$(this).val()].isOwner) ){
-			    var signature = Calendar.signatureOf[$(this).val()];
-			    var organizer = DataLayer.get('calendarSignature', {filter: ['AND', ['=','calendar',signature.calendar.id], ['=','isOwner','1']], criteria: {deepness: 2}});
+	    jQuery('.event-alarms-list').append(li_attach).find('.button.remove').button({
+		text:false, 
+		icons:{
+		    primary:'ui-icon-close'
+		}
+	    }).click(function(el) {
+	    $(this).parent().remove().find('li').is(':empty');
+	});
+    }else{
+	UI.dialogs.addEvent.find('input[name="defaultAlarm"]').parent().addClass('hidden');
+    }
+}
+
+var participant =  UI.dialogs.addEvent.find('dd.me input[name="attendee[]"]').val();
+    if( !parseInt(Calendar.signatureOf[$(this).val()].isOwner) ){
+	var signature = Calendar.signatureOf[$(this).val()];
+	var organizer = DataLayer.get('calendarSignature', {
+	    filter: ['AND', ['=','calendar',signature.calendar.id], ['=','isOwner','1']], 
+	    criteria: {
+		deepness: 2
+	    }
+	});
 			    
-			    if($.isArray(organizer))
-				organizer = organizer[0];
-			    DataLayer.put('participant', {id: participant, user: organizer.user.id, mail: organizer.user.mail});
+    if($.isArray(organizer))
+	organizer = organizer[0];
+    DataLayer.put('participant', {
+	id: participant, 
+	user: organizer.user.id, 
+	mail: organizer.user.mail
+	});
 			    
-			    UI.dialogs.addEvent.find('dt.me').html(organizer.user.name);
-			    UI.dialogs.addEvent.find('li.organizer input[name="attendee_organizer"]').val(participant);
-			    UI.dialogs.addEvent.find('li.organizer label').filter('.name').html(organizer.user.name).end()
-			    .filter('.mail').html(organizer.user.mail).attr('title',organizer.user.mail);
-
-			}else{
-			    UI.dialogs.addEvent.find('dt.me').html(User.me.name);
-			    DataLayer.put('participant', {id: participant, user: User.me.id, mail: User.me.mail});
-			    UI.dialogs.addEvent.find('li.organizer input[name="attendee_organizer"]').val(participant);
-			    UI.dialogs.addEvent.find('li.organizer label').filter('.name').html(User.me.name).end()
-			    .filter('.mail').html(User.me.mail).attr('title',User.me.mail);
-			}
-			
-			
-			
-			
+    UI.dialogs.addEvent.find('dt.me').html(organizer.user.name);
+    UI.dialogs.addEvent.find('li.organizer input[name="attendee_organizer"]').val(participant);
+    UI.dialogs.addEvent.find('li.organizer label').filter('.name').html(organizer.user.name).end()
+    .filter('.mail').html(organizer.user.mail).attr('title',organizer.user.mail);
+
+}else{
+    UI.dialogs.addEvent.find('dt.me').html(User.me.name);
+    DataLayer.put('participant', {
+	id: participant, 
+	user: User.me.id, 
+	mail: User.me.mail
+	});
+    UI.dialogs.addEvent.find('li.organizer input[name="attendee_organizer"]').val(participant);
+    UI.dialogs.addEvent.find('li.organizer label').filter('.name').html(User.me.name).end()
+    .filter('.mail').html(User.me.mail).attr('title',User.me.mail);
+}
+			
+			
+			
+			
+});
+		
+/*Checkbox adicionar alarms padrões*/
+UI.dialogs.addEvent.find('input[name="defaultAlarm"]').click(function(){
+    if($(this).attr("checked")){
+	$('input[name="isDefaultAlarm[]"]').parent().remove();
+	var calendarSelected = Calendar.signatureOf[$('select[name="calendar"]').val()];
+	calendarSelected.useAlarmDefault = 1;
+	if(calendarSelected.defaultAlarms != ""){
+	    var li_attach = DataLayer.render(path+'templates/alarms_add_itemlist.ejs', {
+		alarm:calendarSelected
 	    });
-		
-		/*Checkbox adicionar alarms padrões*/
-		UI.dialogs.addEvent.find('input[name="defaultAlarm"]').click(function(){
-		    if($(this).attr("checked")){
-				$('input[name="isDefaultAlarm[]"]').parent().remove();
-				var calendarSelected = Calendar.signatureOf[$('select[name="calendar"]').val()];
-				calendarSelected.useAlarmDefault = 1;
-				if(calendarSelected.defaultAlarms != ""){
-					var li_attach = DataLayer.render(path+'templates/alarms_add_itemlist.ejs', {alarm:calendarSelected});
-						jQuery('.event-alarms-list').append(li_attach).find('.button.remove').button({text:false, icons:{primary:'ui-icon-close'}}).click(function(el) {
-							var id;
-							if( id = $(this).parent().find('input[name="alarmId[]"]').val())
-								DataLayer.remove('alarm', id);
-							$(this).parent().remove().find('li').is(':empty') 
-						});
-				}
-			} else {
-			    $('input[name="isDefaultAlarm[]"]').parent().remove();
-			}
-	    });
-	    /* Checkbox allday */
-	    UI.dialogs.addEvent.find('input[name="allDay"]').click(function(){
-		    $(this).attr("checked") ? 
-				UI.dialogs.addEvent.find('.start-time, .end-time').addClass('hidden') :
-			    UI.dialogs.addEvent.find('.start-time, .end-time').removeClass('hidden'); 
-			updateMap(true);
-	    });
-
-	    UI.dialogs.addEvent.find('.button').button();
-	    UI.dialogs.addEvent.find('.button.add').button({
-		    icons: {
-			    secondary: "ui-icon-plus"
-		    }
-	    });
-
-	 // ==== validation events ====
-	    UI.dialogs.addEvent.find(".input-group .h1").Watermark("Evento sem título");
-		if(User.preferences.hourFormat.length == 5) {
-			UI.dialogs.addEvent.find(".end-time, .start-time").mask("99:99", {
-				completed: function(){
-					updateMap();
-				}
-			});
-		} else {
-			$.mask.definitions['{']='[ap]';
-			$.mask.definitions['}']='[m]';
-			UI.dialogs.addEvent.find(".end-time, .start-time").mask("99:99 {}", {
-				completed:function(){
-					$(this).val(date.Calendar.defaultToAmPm($(this).val()));
-					$(this).timepicker("refresh");
-					$(this).val($(this).val().replace(/[\.]/gi, ""));
-					updateMap();
-				}
-			});
+	    jQuery('.event-alarms-list').append(li_attach).find('.button.remove').button({
+		text:false, 
+		icons:{
+		    primary:'ui-icon-close'
 		}
-		UI.dialogs.addEvent.find(".number").numeric();
-		User.preferences.dateFormat.indexOf('-') > 0 ? 
-			UI.dialogs.addEvent.find(".date").mask("99-99-9999", {
-				completed:function(){
-					updateMap();
-				}
-			}) : 
-			UI.dialogs.addEvent.find(".date").mask("99/99/9999", {
-				completed:function(){
-					updateMap();
-				}
-			});
-
-	    UI.dialogs.addEvent.find(".menu-addevent")
-	    .children(".delete").click(function(){
-			$.Zebra_Dialog('Tem certeza que deseja excluir o evento?', {
-				'type':     'question',
-				'overlay_opacity': '0.5',
-				'buttons':  ['Sim', 'Não'],
-				'onClose':  function(clicked) {
-					if(clicked == 'Sim'){
-						canDiscardEventDialog = true;
-						DataLayer.remove( "schedulable", UI.dialogs.addEvent.find(".id-event").val() );
-						UI.dialogs.addEvent.dialog("close");
-					}
-				}
-			});
-	    }).end()
+	    }).click(function(el) {
+	    var id;
+	    if( id = $(this).parent().find('input[name="alarmId[]"]').val())
+		DataLayer.remove('alarm', id);
+	    $(this).parent().remove().find('li').is(':empty') 
+	});
+    }
+} else {
+    $('input[name="isDefaultAlarm[]"]').parent().remove();
+}
+});
+/* Checkbox allday */
+UI.dialogs.addEvent.find('input[name="allDay"]').click(function(){
+    $(this).attr("checked") ? 
+    UI.dialogs.addEvent.find('.start-time, .end-time').addClass('hidden') :
+    UI.dialogs.addEvent.find('.start-time, .end-time').removeClass('hidden'); 
+    updateMap(true);
+});
+
+UI.dialogs.addEvent.find('.button').button();
+UI.dialogs.addEvent.find('.button.add').button({
+    icons: {
+	secondary: "ui-icon-plus"
+    }
+});
+
+// ==== validation events ====
+UI.dialogs.addEvent.find(".input-group .h1").Watermark("Evento sem título");
+if(User.preferences.hourFormat.length == 5) {
+    UI.dialogs.addEvent.find(".end-time, .start-time").mask("99:99", {
+	completed: function(){
+	    updateMap();
+	}
+    });
+} else {
+    $.mask.definitions['{']='[ap]';
+    $.mask.definitions['}']='[m]';
+    UI.dialogs.addEvent.find(".end-time, .start-time").mask("99:99 {}", {
+	completed:function(){
+	    $(this).val(date.Calendar.defaultToAmPm($(this).val()));
+	    $(this).timepicker("refresh");
+	    $(this).val($(this).val().replace(/[\.]/gi, ""));
+	    updateMap();
+	}
+    });
+}
+UI.dialogs.addEvent.find(".number").numeric();
+User.preferences.dateFormat.indexOf('-') > 0 ? 
+UI.dialogs.addEvent.find(".date").mask("99-99-9999", {
+    completed:function(){
+	updateMap();
+    }
+}) : 
+UI.dialogs.addEvent.find(".date").mask("99/99/9999", {
+    completed:function(){
+	updateMap();
+    }
+});
+
+UI.dialogs.addEvent.find(".menu-addevent")
+.children(".delete").click(function(){
+    $.Zebra_Dialog('Tem certeza que deseja excluir o evento?', {
+	'type':     'question',
+	'overlay_opacity': '0.5',
+	'buttons':  ['Sim', 'Não'],
+	'onClose':  function(clicked) {
+	    if(clicked == 'Sim'){
+		canDiscardEventDialog = true;
+		DataLayer.remove( "schedulable", UI.dialogs.addEvent.find(".id-event").val() );
+		UI.dialogs.addEvent.dialog("close");
+	    }
+	}
+    });
+}).end()
 	    
-	    .children(".cancel").click(function(){
-			DataLayer.rollback('participant');
-			UI.dialogs.addEvent.dialog("close");
-	    }).end()
+.children(".cancel").click(function(){
+    DataLayer.rollback('participant');
+    UI.dialogs.addEvent.dialog("close");
+}).end()
 	    
-	    .children(".save").click(function(){
-			/* Validação */
-			var msg = false;			
-			if(msg = validDateEvent()){
-				$(".new-event-win.active").find('.messages-validation').removeClass('hidden').find('.message label').html(msg); 
-				return false;
-			}
-			
-			canDiscardEventDialog = true;
-			
-                        var exit = function(event){
-                            if(event)
-                                DataLayer.remove('schedulable', event, false); 
-
-                            UI.dialogs.addEvent.children().find('form.form-addevent').submit();
-                            UI.dialogs.addEvent.dialog("close");
-                        }
+.children(".save").click(function(){
+    /* Validação */
+    var msg = false;			
+    if(msg = validDateEvent()){
+	$(".new-event-win.active").find('.messages-validation').removeClass('hidden').find('.message label').html(msg); 
+	return false;
+    }
+			
+    canDiscardEventDialog = true;
+			
+    var exit = function(event){
+	if(event)
+	    DataLayer.remove('schedulable', event, false); 
+
+	UI.dialogs.addEvent.children().find('form.form-addevent').submit();
+	UI.dialogs.addEvent.dialog("close");
+    }
                         
-                        if(repeat){
-                               DataLayer.remove('repeat', false);
-                               DataLayer.put('repeat', repeat);
-                               DataLayer.commit('repeat', false, exit(repeat.schedulable));
-                        }else
-                            exit();
-	    }).end()
-		
-		.children(".export").click(function(){
-			UI.dialogs.addEvent.children().find(".form-export").submit();
-	    });
-
-		var dates = UI.dialogs.addEvent.find('input.date').datepicker({
-			dateFormat: 'dd/mm/yy',
-			onSelect : function( selectedDate ){
-				updateMap();
-			}
-		});
-		//if(path == ""){
-		UI.dialogs.addEvent.find('input.time').timepicker({ 
-			closeText: 'Ok',
-			hourGrid: 4,
-			minuteGrid: 10,
-			ampm : ((User.preferences.hourFormat.length > 5) ? true: false),
-			timeFormat: "hh:mm tt",
-			onSelect: function (selectedDateTime){
-				if(!(User.preferences.hourFormat.length == 5))
-					$(this).val(selectedDateTime.replace(/[\.]/gi, ""));								
-				updateMap();
-			},
-			onClose : function (selectedDateTime){
-				if(!(User.preferences.hourFormat.length == 5))
-					$(this).val(selectedDateTime.replace(/[\.]/gi, ""));
-			}
-		});
-		//}
-
-	    UI.dialogs.addEvent.find('.button-add-alarms').click(function(){
-			var li_attach = DataLayer.render(path+'templates/alarms_add_itemlist.ejs', {});
-
-			jQuery('.event-alarms-list').append(li_attach).find('.button.remove').button({text:false, icons:{primary:'ui-icon-close'}}).click(function(el) {
-				$(this).parent().remove().find('li').is(':empty')
-			});
-			// valicacao de campos numericos
-			$('.number').numeric();
-	    });
+    if(repeat){
+	DataLayer.remove('repeat', false);
+	DataLayer.put('repeat', repeat);
+	DataLayer.commit('repeat', false, exit(repeat.schedulable));
+    }else
+	exit();
+}).end()
+		
+.children(".export").click(function(){
+    UI.dialogs.addEvent.children().find(".form-export").submit();
+});
+
+var dates = UI.dialogs.addEvent.find('input.date').datepicker({
+    dateFormat: 'dd/mm/yy',
+    onSelect : function( selectedDate ){
+	updateMap();
+    }
+});
+//if(path == ""){
+UI.dialogs.addEvent.find('input.time').timepicker({ 
+    closeText: 'Ok',
+    hourGrid: 4,
+    minuteGrid: 10,
+    ampm : ((User.preferences.hourFormat.length > 5) ? true: false),
+    timeFormat: "hh:mm tt",
+    onSelect: function (selectedDateTime){
+	if(!(User.preferences.hourFormat.length == 5))
+	    $(this).val(selectedDateTime.replace(/[\.]/gi, ""));								
+	updateMap();
+    },
+    onClose : function (selectedDateTime){
+	if(!(User.preferences.hourFormat.length == 5))
+	    $(this).val(selectedDateTime.replace(/[\.]/gi, ""));
+    }
+});
+//}
+
+UI.dialogs.addEvent.find('.button-add-alarms').click(function(){
+    var li_attach = DataLayer.render(path+'templates/alarms_add_itemlist.ejs', {});
+
+    jQuery('.event-alarms-list').append(li_attach).find('.button.remove').button({
+	text:false, 
+	icons:{
+	    primary:'ui-icon-close'
+	}
+    }).click(function(el) {
+    $(this).parent().remove().find('li').is(':empty')
+});
+// valicacao de campos numericos
+$('.number').numeric();
+});
 	    
 		 
-		UI.dialogs.addEvent.find('.button.suggestion-hours').button({
-			icons: {
-				primary: "ui-icon-clock"
-			},
-			text: 'Sugerir horário'
-		}).click(function () {
-			$(this).siblings('input').removeAttr('disabled')
-			.end().parents().find('input[name="allDay"]').removeAttr('disabled');		
-		});
-
-
-                if(!repeat)
-                    if(objEvent.me.id == User.me.id){
-                            objEvent.me.id = DataLayer.put('participant', {user: objEvent.me.id, mail: objEvent.me.mail});
-                            objEvent.organizer.id = objEvent.me.id;
-                    }
-
-		var attendeeHtml = DataLayer.render( path+'templates/attendee_add.ejs', {event:objEvent});		
-	
-			// load template of attendees
-			var blkAddAtendee = UI.dialogs.addEvent.find('#calendar_addevent_details6').append(attendeeHtml);
-			if(objEvent.attendee.length)
-				callbackAttendee();
-			/**
+UI.dialogs.addEvent.find('.button.suggestion-hours').button({
+    icons: {
+	primary: "ui-icon-clock"
+    },
+    text: 'Sugerir horário'
+}).click(function () {
+    $(this).siblings('input').removeAttr('disabled')
+    .end().parents().find('input[name="allDay"]').removeAttr('disabled');		
+});
+
+
+if(!repeat)
+    if(objEvent.me.id == User.me.id){
+	objEvent.me.id = DataLayer.put('participant', {
+	    user: objEvent.me.id, 
+	    mail: objEvent.me.mail
+	    });
+	objEvent.organizer.id = objEvent.me.id;
+    }
+
+var attendeeHtml = DataLayer.render( path+'templates/attendee_add.ejs', {
+    event:objEvent
+});		
+	
+// load template of attendees
+var blkAddAtendee = UI.dialogs.addEvent.find('#calendar_addevent_details6').append(attendeeHtml);
+if(objEvent.attendee.length)
+    callbackAttendee();
+/**
 				Opções de delegação do participante/organizer
 			*/		
-			blkAddAtendee.find(".button.participant-delegate").button({
-				icons: {
-					primary: "ui-icon-transferthick-e-w"
-				},
-				text: false
-			}).click(function () {
-				if($(this).hasClass('attendee-permissions-change-button')){
-					if(!$(this).hasClass('disable')){
-						$(this).removeClass('attendee-permissions-change-button')   
-						.find('.ui-icon-transferthick-e-w').removeClass('attendee-permissions-change').end();               
-						blkAddAtendee.find('.block-add-attendee.search').addClass('hidden');
-						blkAddAtendee.find('.block-add-attendee.search dt').html('Adicionar outros contatos');
-					}
-				}else{									
-					$(this).addClass('attendee-permissions-change-button')   
-					.find('.ui-icon-transferthick-e-w').addClass('attendee-permissions-change').end();               
-					blkAddAtendee.find('.block-add-attendee.search dt').html('Delegar participação para');
-					blkAddAtendee.find('.block-add-attendee.search').removeClass('hidden');
-					blkAddAtendee.find('.block-add-attendee.search input.search').focus();
-				}
-			})
-			.addClass('tiny');		
-			
-			//show or hidden permissions attendees
-			//blkAddAtendee.find('.block-attendee-list #attendees-users li').click(show_permissions_attendees); 
-
-			UI.dialogs.addEvent.find(".attendee-list-add .add-attendee-input input").Watermark("digite um email para convidar");
-			/* Trata a edição de um novo participante adicionado
+blkAddAtendee.find(".button.participant-delegate").button({
+    icons: {
+	primary: "ui-icon-transferthick-e-w"
+    },
+    text: false
+}).click(function () {
+    if($(this).hasClass('attendee-permissions-change-button')){
+	if(!$(this).hasClass('disable')){
+	    $(this).removeClass('attendee-permissions-change-button')   
+	    .find('.ui-icon-transferthick-e-w').removeClass('attendee-permissions-change').end();               
+	    blkAddAtendee.find('.block-add-attendee.search').addClass('hidden');
+	    blkAddAtendee.find('.block-add-attendee.search dt').html('Adicionar outros contatos');
+	}
+    }else{									
+	$(this).addClass('attendee-permissions-change-button')   
+	.find('.ui-icon-transferthick-e-w').addClass('attendee-permissions-change').end();               
+	blkAddAtendee.find('.block-add-attendee.search dt').html('Delegar participação para');
+	blkAddAtendee.find('.block-add-attendee.search').removeClass('hidden');
+	blkAddAtendee.find('.block-add-attendee.search input.search').focus();
+    }
+})
+.addClass('tiny');		
+			
+//show or hidden permissions attendees
+//blkAddAtendee.find('.block-attendee-list #attendees-users li').click(show_permissions_attendees); 
+
+UI.dialogs.addEvent.find(".attendee-list-add .add-attendee-input input").Watermark("digite um email para convidar");
+/* Trata a edição de um novo participante adicionado
 			* 
 			*/
-			var hasNewAttendee = false;
-			
-			blkAddAtendee.find('.attendee-list-add .add-attendee-input span').click(function(data){
-				blkAddAtendee.find('.attendee-list-add .add-attendee-input input').keydown();
-			});
-			
-			blkAddAtendee.find('.attendee-list-add .add-attendee-input input').keydown(function(event) {
+var hasNewAttendee = false;
+			
+blkAddAtendee.find('.attendee-list-add .add-attendee-input span').click(function(data){
+    blkAddAtendee.find('.attendee-list-add .add-attendee-input input').keydown();
+});
+			
+blkAddAtendee.find('.attendee-list-add .add-attendee-input input').keydown(function(event) {
 				
-				if (event.keyCode == '13' && $(this).val() != '' || (event.keyCode == undefined && $(this).val() != '')) {
-					Encoder.EncodeType = "entity";
-					$(this).val(Encoder.htmlEncode($(this).val()));
+    if (event.keyCode == '13' && $(this).val() != '' || (event.keyCode == undefined && $(this).val() != '')) {
+	Encoder.EncodeType = "entity";
+	$(this).val(Encoder.htmlEncode($(this).val()));
 					
-					newAttendeeEmail = false;
-					newAttendeeName  = false;
-					skipAddNewLine   = false;
-
-					var info = $(this).val();
-
-					/**
+	newAttendeeEmail = false;
+	newAttendeeName  = false;
+	skipAddNewLine   = false;
+
+	var info = $(this).val();
+
+	/**
 					 * email válido?
 					 */
-					info.match(/^[\w!#$%&'*+\/=?^`{|}~-]+(\.[\w!#$%&'*+\/=?^`{|}~-]+)*@(([\w-]+\.)+[A-Za-z]{2,6}|\[\d{1,3}(\.\d{1,3}){3}\])$/) ? 
-						newAttendeeEmail = info : newAttendeeName = info;
-
-					/**
+	info.match(/^[\w!#$%&'*+\/=?^`{|}~-]+(\.[\w!#$%&'*+\/=?^`{|}~-]+)*@(([\w-]+\.)+[A-Za-z]{2,6}|\[\d{1,3}(\.\d{1,3}){3}\])$/) ? 
+	newAttendeeEmail = info : newAttendeeName = info;
+
+	/**
 					 * 1) busca no banco para saber se o usuário já existe
 					 *		1.1) se existe, atualiza as info na lista de participantes e nao abre o tooltip
